class MonthlyPassengerInstall {
  int day;
  int totalPassengers;

  MonthlyPassengerInstall({required this.day, required this.totalPassengers});

  factory MonthlyPassengerInstall.fromJson(Map<String, dynamic> json) =>
      MonthlyPassengerInstall(
          day: int.parse(json['day'].toString().split('-')[2]),
          totalPassengers:
              int.parse(json['totalPassengers'].toString().split(':')[0]));
}

class MonthlyRidesInstall {
  int day;
  int totalRides;

  MonthlyRidesInstall({required this.day, required this.totalRides});

  factory MonthlyRidesInstall.fromJson(Map<String, dynamic> json) =>
      MonthlyRidesInstall(
          day: int.parse(json['day'].toString().split('-')[2]),
          totalRides: int.parse(json['totalRides'].toString().split(':')[0]));
}

class MonthlyEmployeeData {
  int day;
  int totalEmployees;
  String name;

  MonthlyEmployeeData(
      {required this.day, required this.totalEmployees, required this.name});

  factory MonthlyEmployeeData.fromJson(Map<String, dynamic> json) =>
      MonthlyEmployeeData(
        day: int.parse(json['date'].toString().split('-')[2]), // Extract day
        totalEmployees: json['count'],
        name: json['NAME'],
      );
}

class MonthlyDriverInstall {
  int day;
  int totalDrivers;
  int dailyTotalDrivers;
  int dailyTotalCallingDrivers;
  int dailyMatchingNotes;
  int totalMonthlyDrivers;
  int totalMonthlyCallingDrivers;
  int totalMonthlyMatchingNotes;

  MonthlyDriverInstall({
    required this.day,
    required this.totalDrivers,
    required this.dailyTotalDrivers,
    required this.dailyTotalCallingDrivers,
    required this.dailyMatchingNotes,
    required this.totalMonthlyDrivers,
    required this.totalMonthlyCallingDrivers,
    required this.totalMonthlyMatchingNotes,
  });

  factory MonthlyDriverInstall.fromJson(Map<String, dynamic> json) =>
      MonthlyDriverInstall(
        day: int.parse(json['day'].toString().split('-')[2]),
        totalDrivers: int.parse(json['totalDrivers'].toString()),
        dailyTotalDrivers: int.parse(json['dailyTotalDrivers'].toString()),
        dailyTotalCallingDrivers:
            int.parse(json['dailyTotalCallingDrivers'].toString()),
        dailyMatchingNotes: int.parse(json['dailyMatchingNotes'].toString()),
        totalMonthlyDrivers: int.parse(json['totalMonthlyDrivers'].toString()),
        totalMonthlyCallingDrivers:
            int.parse(json['totalMonthlyCallingDrivers'].toString()),
        totalMonthlyMatchingNotes:
            int.parse(json['totalMonthlyMatchingNotes'].toString()),
      );
}
